<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// |                          Page d'un concours						   |
// +-----------------------------------------------------------------------+
if(isset($page['contest'])){
	if(is_admin()){
		$template->assign('U_EDIT', CR_ADMIN . '&tab=edit&contest_id=' . $page['contest']);
		$template->assign('U_RESULTS', CR_ADMIN . '&tab=results&contest_id=' . $page['contest']);
	}
	
	// Infos du concours
	$query = "SELECT * FROM " . CR_TABLE_1 . " WHERE id=" . $page['contest'] . ";";
	$contest = pwg_db_fetch_assoc(pwg_query($query));
	
	if($contest['visible'] OR is_admin()){
		// Paramtres gnraux
		$template->assign(array(
			'ID' => $contest['id'],
			'NAME' => trigger_event('render_CR_content', $contest['name']),
			'STATUS' => $contest['status'],
			'VISIBLE' => $contest['visible'],
			'DATE_BEGIN' => format_date($contest['date_begin']),
			'DATE_END' => format_date($contest['date_end']),
			'LOGO' => $contest['logo'],
			'BANNER' => $contest['banner'],
			'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
		));
		
		// Quatre zones texte
		foreach(array('presentation','rules','prices','final') AS $key){
			$contest[$key.'_display'] = unserialize($contest[$key.'_display']);
			if($contest[$key.'_display']['pending']) $template->assign(strtoupper($key).'_PENDING', true);
			if($contest[$key.'_display']['finished']) $template->assign(strtoupper($key).'_FINISHED', true);
			$template->assign(strtoupper($key), trigger_event('render_CR_content', $contest[$key]));
		}
		
		// Affichage des rsultats
		if($contest['status'] == 'finished'){
			// Infos des rsultats
			$query = "SELECT * FROM " . CR_TABLE_2 . " WHERE contest_id=" . $contest['id'] . " ORDER BY rank ASC;";
			$results = pwg_query($query);
			
			while($result = pwg_db_fetch_assoc($results)){
				// Infos de l'image
				$query = "SELECT
						i.id,
						i.name,
						i.file,
						i.path,
						i.tn_ext,
						ic.category_id
					FROM " . IMAGES_TABLE . " AS i
					INNER JOIN " . IMAGE_CATEGORY_TABLE . " AS ic
					ON ic.image_id = i.id
					WHERE i.id = " . $result['image_id'] . ";";
				$image = pwg_db_fetch_assoc(pwg_query($query));
				
				// Nom de l'image
				if(empty($image['name']))
					$image['name'] = get_name_from_file($image['file']);

				// retrieving category informations
				$query = "SELECT id, name, permalink, uppercats
					FROM " . CATEGORIES_TABLE."
					WHERE id = " . $image['category_id'] . ";";
				$image['cat'] = pwg_db_fetch_assoc(pwg_query($query));
		
				// link to the full size picture
				$image['url'] = make_picture_url(array(
					'category' => $image['cat'],
					'image_id' => $image['id'],
					'image_file' => $image['file'],
				));			
				
				// Template
				if(in_array($result['rank'], array(1,2,3))){
					$array = array(
						'RANK' => $result ['rank'],
						'AUTHOR' => $result['author'],
						'IMAGE_SRC' => str_replace('thumbnail/'.$conf['prefix_thumbnail'], null, get_thumbnail_url($image)),
						'IMAGE_URL' => $image['url'],
						'IMAGE_NAME' => $image['name'],
						'COMMENT' => CR_cut_string(trigger_event('render_CR_content', $result['comment']), 450),
						);
				}else{
					$array = array(
						'RANK' => $result ['rank'],
						'AUTHOR' => $result['author'],
						'TN_SRC' => get_thumbnail_url($image),
						'IMAGE_URL' => $image['url'],
						'IMAGE_NAME' => $image['name'],
					);
				}
				$template->append('RESULTS', $array);
			}
		}
		
		$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/contest_page.tpl'));
		
	}else{
		page_not_found(l10n('CR_notavailable'));
	}

// +-----------------------------------------------------------------------+
// |                            Liste des concours						   |
// +-----------------------------------------------------------------------+
}else{
	$query = "SELECT id, name, visible, date_begin, date_end, status, logo, summary FROM " . CR_TABLE_1 . " ORDER BY date_begin DESC;";
	$contests = pwg_query($query);
	
	while($contest = pwg_db_fetch_assoc($contests)){
		if($contest['visible'] OR is_admin()){
			// infos sur le concours
			$item =  array(
				'ID' => $contest['id'],
				'NAME' => trigger_event('render_CR_content', $contest['name']),
				'VISIBLE' => $contest['visible'],
				'STATUS' => $contest['status'],
				'DATE_END' => format_date($contest['date_end']),
				'DATE_BEGIN' => format_date($contest['date_begin']),
				'LOGO' => $contest['logo'],
				'SUMMARY' => trigger_event('render_CR_content', $contest['summary']),
				'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
			);
			
			// podium si termin
			if($contest['status'] == 'finished'){
				$query = "SELECT
						i.id,
						i.name,
						i.file,
						i.path,
						i.tn_ext,
						c.rank,
						c.author
					FROM " . IMAGES_TABLE . " AS i
					INNER JOIN " . CR_TABLE_2 . " AS c
					ON c.image_id = i.id
					WHERE c.contest_id = " . $contest['id'] . "
					ORDER BY c.rank ASC
					LIMIT 3 OFFSET 0;";
				$results = pwg_query($query);
				
				while($result = pwg_db_fetch_assoc($results)){
					$item['RESULTS'][$result['rank']] = array(
						'RANK' => $result['rank'],
						'AUTHOR' => $result['author'],
						'TN_SRC' => get_thumbnail_url($result)
					);
				}
			}

			$template->append('contests_'.$contest['status'], $item);
		}
	}
	
	$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/contest_global.tpl'));
}

// +-----------------------------------------------------------------------+
// |                              Template								   |
// +-----------------------------------------------------------------------+
$template->assign('CR_PATH', CR_PATH);
$template->assign('SEPARATOR', $conf['level_separator']);
?>