<?php
/*
Plugin Name: ContestResults
Version: 1.0.a
Descontestiption: Add contests management pages
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=439
Author: Mistic
Author URI: http://www.strangeplanet.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable ;

// +-----------------------------------------------------------------------+
// |                          Variables globales CR						   |
// +-----------------------------------------------------------------------+
define('CR_DIR' , basename(dirname(__FILE__)));
define('CR_PATH' , PHPWG_PLUGINS_PATH . CR_DIR . '/');
define('CR_TABLE_1' , $prefixeTable . 'contests');
define('CR_TABLE_2' , $prefixeTable . 'contests_results');
define('CR_VERSION' , 'ContestResults 1.0.a');
define('CR_ADMIN', PHPWG_ROOT_PATH . 'admin.php?page=plugin&section=' . CR_DIR . '/admin/admin.php');
define('CR_PUBLIC', PHPWG_ROOT_PATH . 'index.php?/contests/');

// Lien d'administration
function CR_admin_menu($menu){
	array_push($menu, array(
		'NAME' => CR_VERSION,
		'URL' => CR_ADMIN
	));
	return $menu;
}

// Paramtre URL
function CR_section_init(){
    global $tokens, $page;
	load_language('plugin.lang', CR_PATH);
    if($tokens[0] == 'contests'){
		$page['section'] = 'contests';
		$page['title'] = l10n('Contests');
		if(isset($tokens[1]) AND $tokens[1]){
			$page['contest'] = explode('-', $tokens[1]);
			$page['contest'] = $page['contest'][0];
			$page['title'] .= trigger_event('render_CR_content', get_contest_name($page['contest']));
		}
	}
}

// Contenu du la page
function CR_index(){
    global $template, $page, $conf;
    if(isset($page['section']) and $page['section'] == 'contests'){
		include(CR_PATH . 'include/functions.php');
		include(CR_PATH . 'include/contest_results.php');
	}
}

// Ajoute le commentaire sur la page image
function CR_comment_picture(){
	global $page, $template, $conf;
	include(CR_PATH . 'include/functions.php');
	include(CR_PATH . 'include/contest_comment_picture.php');  
}

function get_contest_name($contest){
	global $conf;
	$query = pwg_query("SELECT name FROM " . CR_TABLE_1 . " WHERE id = " . $contest . ";");
	if(pwg_db_num_rows($query)){
		$result = pwg_db_fetch_assoc($query);
		return $conf['level_separator'] . $result['name'];
	}else{
		return null;
	}
}

add_event_handler('get_admin_plugin_menu_links', 'CR_admin_menu'); // Lien d'administration
add_event_handler('loc_end_section_init', 'CR_section_init'); // Paramtre URL
add_event_handler('loc_end_index', 'CR_index'); // Contenu du la page
add_event_handler('loc_end_picture', 'CR_comment_picture', 10); // Ajoute le commentaire sur la page image
add_event_handler('render_CR_content', 'get_user_language_desc'); // Textes multilangues

?>